#
# spec file for package rubygem-json_pure
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-json_pure
Version:        2.7.1
Release:        1.1
%define mod_name json_pure
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://flori.github.io/json
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        JSON Implementation for Ruby
License:        Ruby

%description
This is a JSON implementation in pure Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- 2.7.1:
  [#]# What's Changed
  [#]## Improved
  * [DOC] RDoc for additions by @BurdetteLamar in https://github.com/flori/json/pull/557
  [#]## Fixed
  * JSON.dump: handle unenclosed hashes regression by @casperisfine in https://github.com/flori/json/pull/554
  * Overload kwargs in JSON.dump by @k0kubun in https://github.com/flori/json/pull/556
  * Fix JSON.dump overload combination by @tompng in https://github.com/flori/json/pull/558
  [#]## Misc
  * Remove needless encodings by @hsbt in https://github.com/flori/json/pull/559
  * Unify versions by @hsbt in https://github.com/flori/json/pull/560
  [#]# New Contributors
  * @k0kubun made their first contribution in https://github.com/flori/json/pull/556
  * @tompng made their first contribution in https://github.com/flori/json/pull/558
  * *Full Changelog**: https://github.com/flori/json/compare/v2.7.0...v2.7.1
  2.7.0:
  [#]# What's Changed
  [#]## Improved
  * Perf. improvements to Hash#to_json in pure implementation generator. by @vipulnsward in https://github.com/flori/json/pull/203
  * Remove unnecessary initialization of create_id in JSON.parse() by @Watson1978 in https://github.com/flori/json/pull/454
  [#]## Added
  * Call `super` in `included` hook by @paracycle in https://github.com/flori/json/pull/486
  * Rename escape_slash in script_safe and also escape E+2028 and E+2029 by @casperisfine in https://github.com/flori/json/pull/525
  * Add a `strict` option to Generator by @casperisfine in https://github.com/flori/json/pull/519
  [#]## Fixed
  * Fix homepage url in gemspec by @unasuke in https://github.com/flori/json/pull/508
  * Fix dead link to Ragel in README by @okuramasafumi in https://github.com/flori/json/pull/509
  * [DOC] Fix yet another dead link to Ragel by @nobu in https://github.com/flori/json/pull/510
  * Fix "unexpected token" offset for Infinity by @jhawthorn in https://github.com/flori/json/pull/507
  * Use ruby_xfree to free buffers by @casperisfine in https://github.com/flori/json/pull/518
  [#]## Compatibility changes
  * JRuby requires a minimum of Java 8 by @headius in https://github.com/flori/json/pull/516
  * Rename JSON::ParseError to JSON:ParserError by @dalizard in https://github.com/flori/json/pull/530
  * Removed code for Ruby 1.8 by @hsbt in https://github.com/flori/json/pull/540
  * alias_method is private on Ruby 2.3 and 2.4 by @hsbt in https://github.com/flori/json/pull/541
  * remove_method of Module is private at Ruby 2.3 and 2.4 by @hsbt in https://github.com/flori/json/pull/544
  * [jruby] avoid using deprecated BigDecimal.new by @kares in https://github.com/flori/json/pull/546
  * Always indent even if empty by @headius in https://github.com/flori/json/pull/517
  [#]## Misc
  * Update CI matrix by @hsbt in https://github.com/flori/json/pull/521
  * Add missing changelog entries for 1.8.5 and 1.8.6 by @r7kamura in https://github.com/flori/json/pull/520
  * Actions workflow - Add new OS's, Ruby 3.1, Ruby master, Windows by @MSP-Greg in https://github.com/flori/json/pull/491
  * Skip unsupported test on JRuby by @nobu in https://github.com/flori/json/pull/532
  * Skip BigDecimal tests when it's missing to load by @hsbt in https://github.com/flori/json/pull/533
  * Simplify by @nobu in https://github.com/flori/json/pull/531
  * Load extension ('json/ext') consistently in test_ext by @aeroastro in https://github.com/flori/json/pull/536
  * Use test-unit-ruby-core gem by @hsbt in https://github.com/flori/json/pull/539
  * [CI] Add Windows mswin job by @MSP-Greg in https://github.com/flori/json/pull/545
  * Exclude truffleruby-head from Actions by @hsbt in https://github.com/flori/json/pull/551
  * tests/ractor_test.rb: make assert_separately available by @lucaskanashiro in https://github.com/flori/json/pull/506
  * Added changes for 2.7.0 and restore entries to 2.6.3 and 2.6.2 by @hsbt in https://github.com/flori/json/pull/552
  [#]# New Contributors
  * @unasuke made their first contribution in https://github.com/flori/json/pull/508
  * @okuramasafumi made their first contribution in https://github.com/flori/json/pull/509
  * @r7kamura made their first contribution in https://github.com/flori/json/pull/520
  * @MSP-Greg made their first contribution in https://github.com/flori/json/pull/491
  * @paracycle made their first contribution in https://github.com/flori/json/pull/486
  * @dalizard made their first contribution in https://github.com/flori/json/pull/530
  * @aeroastro made their first contribution in https://github.com/flori/json/pull/536
  * @jhawthorn made their first contribution in https://github.com/flori/json/pull/507
  * @lucaskanashiro made their first contribution in https://github.com/flori/json/pull/506
  * @Watson1978 made their first contribution in https://github.com/flori/json/pull/454
  * *Full Changelog**: https://github.com/flori/json/compare/v2.6.3...v2.7.0
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.6.3
  see installed CHANGES.md
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.6.2
  see installed CHANGES.md
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.6.1
  see installed CHANGES.md
  [#]## 2021-10-24 (2.6.1)
  * Restore version.rb with 2.6.1
  [#]## 2021-10-14 (2.6.0)
  * Use `rb_enc_interned_str` if available to reduce allocations in `freeze: true` mode. #451.
  * Bump required_ruby_version to 2.3.
  * Fix compatibility with `GC.compact`.
  * Fix some compilation warnings. #469
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.5.1
  see installed CHANGES.md
  [#]# 2020-12-22 (2.5.1)
  * Restore the compatibility for constants of JSON class.
  [#]# 2020-12-22 (2.5.0)
  * Ready to Ractor-safe at Ruby 3.0.
  [#]# 2020-12-17 (2.4.1)
  * Restore version.rb with 2.4.1
  [#]# 2020-12-15 (2.4.0)
  * Implement a freeze: parser option #447
  * Fix an issue with generate_pretty and empty objects in the Ruby and Java implementations #449
  * Fix JSON.load_file doc #448
  * Fix pure parser with unclosed arrays / objects #425
  * bundle the LICENSE file in the gem #444
  * Add an option to escape forward slash character #405
  * RDoc for JSON #439 #446 #442 #434 #433 #430
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.1
  see installed CHANGES.md
  [#]# 2020-06-30 (2.3.1)
  * Spelling and grammar fixes for comments. Pull request #191 by Josh
    Kline.
  * Enhance generic JSON and #generate docs. Pull request #347 by Victor
    Shepelev.
  * Add :nodoc: for GeneratorMethods. Pull request #349 by Victor Shepelev.
  * Baseline changes to help (JRuby) development. Pull request #371 by Karol
    Bucek.
  * Add metadata for rubygems.org. Pull request #379 by Alexandre ZANNI.
  * Remove invalid JSON.generate description from JSON module rdoc. Pull
    request #384 by Jeremy Evans.
  * Test with TruffleRuby in CI. Pull request #402 by Benoit Daloze.
  * Rdoc enhancements. Pull request #413 by Burdette Lamar.
  * Fixtures/ are not being tested... Pull request #416 by Marc-André
    Lafortune.
  * Use frozen string for hash key. Pull request #420 by Marc-André
    Lafortune.
  * Added :call-seq: to RDoc for some methods. Pull request #422 by Burdette
    Lamar.
  * Small typo fix. Pull request #423 by Marc-André Lafortune.
  [#]# 2019-12-11 (2.3.0)
  * Fix default of `create_additions` to always be `false` for `JSON(user_input)`
    and `JSON.parse(user_input, nil)`.
    Note that `JSON.load` remains with default `true` and is meant for internal
    serialization of trusted data. [CVE-2020-10663]
  * Fix passing args all #to_json in json/add/*.
  * Fix encoding issues
  * Fix issues of keyword vs positional parameter
  * Fix JSON::Parser against bigdecimal updates
  * Bug fixes to JRuby port
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.3.0
  see installed CHANGES.md
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  see installed CHANGES.md
  [#]# 2019-02-21 (2.2.0)
  * Adds support for 2.6 BigDecimal and ruby standard library Set datetype.
* Wed Apr 19 2017 coolo@suse.com
- updated to version 2.1.0
  see installed CHANGES.md
  [#]# 2017-04-18 (2.1.0)
  * Allow passing of `decimal_class` option to specify a class as which to parse
    JSON float numbers.
* Wed Apr 12 2017 coolo@suse.com
- updated to version 2.0.4
  see installed CHANGES.md
  [#]# 2017-03-23 (2.0.4)
  * Raise exception for incomplete unicode surrogates/character escape
    sequences. This problem was reported by Daniel Gollahon (dgollahon).
  * Fix arbitrary heap exposure problem. This problem was reported by Ahmad
    Sherif (ahmadsherif).
* Sat Jan 14 2017 coolo@suse.com
- updated to version 2.0.3
  see installed CHANGES.md
  [#]# 2017-01-12 (2.0.3)
  * Set `required_ruby_version` to 1.9
  * Some small fixes
* Wed Jul 27 2016 coolo@suse.com
- updated to version 2.0.2
  see installed CHANGES.md
  [#]# 2016-07-26 (2.0.2)
  * Specify `required_ruby_version` for json\_pure.
  * Fix issue #295 failure when parsing frozen strings.
* Sat Jul  2 2016 coolo@suse.com
- updated to version 2.0.1
  CHANGES removed upstream
* Wed Oct 21 2015 coolo@suse.com
- updated to version 1.8.3
  see installed CHANGES
  2015-09-11 (1.8.4)
  * There were still some mentions of dual GPL licensing in the source, but JSON
    has just the Ruby license that itself includes an explicit dual-licensing
    clause that allows covered software to be distributed under the terms of
    the Simplified BSD License instead for all ruby versions >= 1.9.3. This is
    however a GPL compatible license according to the Free Software Foundation.
    I changed these mentions to be consistent with the Ruby license setting in
    the gemspec files which were already correct now.
  2015-06-01 (1.8.3)
  * Fix potential memory leak, thx to nobu.
* Sat Feb  7 2015 coolo@suse.com
- updated to version 1.8.2
  * Some performance improvements by Vipul A M <vipulnsward@gmail.com>.
  * Fix by Jason R. Clark <jclark@newrelic.com> to avoid mutation of
    JSON.dump_default_options.
  * More tests by Michael Mac-Vicar <mmacvicar@gmail.com> and fixing
    space_before accessor in generator.
  * Performance on Jruby improvemed by Ben Browning <bbrownin@redhat.com>.
  * Some fixes to be compatible with the new Ruby 2.2 by Zachary Scott <e@zzak.io>
    and SHIBATA Hiroshi <hsbt@ruby-lang.org>.
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.8.1
  * Remove Rubinius exception since transcoding should be working now.
* Wed May 15 2013 coolo@suse.com
- updated to version 1.8.0
  * Fix https://github.com/flori/json/issues/162 reported by Marc-Andre
    Lafortune <github_rocks@marc-andre.ca>. Thanks!
  * Applied patches by Yui NARUSE <naruse@airemix.jp> to suppress warning with
  - Wchar-subscripts and better validate UTF-8 strings.
  * Applied patch by ginriki@github to remove unnecessary if.
  * Add load/dump interface to JSON::GenericObject to make
    serialize :some_attribute, JSON::GenericObject
    work in Rails active models for convenient SomeModel#some_attribute.foo.bar
    access to serialised JSON data.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.7.7
  * Security fix for JSON create_additions default value and
    JSON::GenericObject. It should not be possible to create additions unless
    explicitely requested by setting the create_additions argument to true or
    using the JSON.load/dump interface. If JSON::GenericObject is supposed to
    be automatically deserialised, this has to be explicitely enabled by
    setting
    JSON::GenericObject.json_createble = true
    as well.
  * Remove useless assert in fbuffer implementation.
  * Apply patch attached to https://github.com/flori/json/issues#issue/155
    provided by John Shahid <jvshahid@gmail.com>, Thx!
  * Add license information to rubygems spec data, reported by Jordi Massaguer Pla <jmassaguerpla@suse.de>.
  * Improve documentation, thx to Zachary Scott <zachary@zacharyscott.net>.
* Wed Jan  2 2013 coolo@suse.com
- updated to version 1.7.6
  * Add GeneratorState#merge alias for JRuby, fix state accessor methods. Thx to
  jvshahid@github.
  * Increase hash likeness of state objects.
* Sun Aug 26 2012 coolo@suse.com
- updated to version 1.7.5
  * Fix compilation of extension on older rubies.
* Sat Jul 28 2012 coolo@suse.com
- update to 1.7.4
  * Fix compilation problem on AIX, see https://github.com/flori/json/issues/142
* Sun Jul 15 2012 coolo@suse.com
- update to 1.7.3
  * Work around Rubinius encoding issues using iconv for conversion instead.
  * Fix some encoding issues, that cause problems for  the pure and the
    extension variant in jruby 1.9 mode.
* Tue May  8 2012 coolo@suse.com
- update to 1.7.1
  * Small fixes
* Sun May  6 2012 coolo@suse.com
- update to 1.7.0
  * Add JSON::GenericObject for method access to objects transmitted via JSON.
  * Fix possible crash when trying to parse nil value.
* Thu Apr  5 2012 coolo@suse.com
- update to 1.6.6:
  * Propagate src encoding to values made from it (fixes 1.9 mode converting
    everything to ascii-8bit; harmless for 1.8 mode too) (Thomas E. Enebo
    <tom.enebo@gmail.com>), should fix
    https://github.com/flori/json/issues#issue/119.
  * Fix https://github.com/flori/json/issues#issue/124 Thx to Jason Hutchens.
  * Fix https://github.com/flori/json/issues#issue/117
* Wed Feb 15 2012 saschpe@suse.de
- Update to version 1.6.5:
  * Fixed a bug that shows up when using optimisation under GCC 4.7.
- Changes from version 1.6.4:
  * Patches that improve speed on JRuby contributed
  * Support object_class/array_class with duck typed hash/array.
- Changes from version 1.6.3:
  * Let JSON.load('') return nil as well to make mysql text columns (default to
    '') work better for serialization.
- Changes from version 1.6.2:
  * Add support for OpenStruct and BigDecimal.
  * Fix bug when parsing nil in quirks_mode.
  * Make JSON.dump and JSON.load methods better cooperate with Rails' serialize
    method. Just use: serialize :value, JSON
  * Fix bug with time serialization concerning nanoseconds. Thanks for the
    patch go to Josh Partlow (jpartlow@github).
  * Improve parsing speed for JSON numbers (integers and floats)
* Fri Oct 21 2011 fcastelli@suse.com
- Remove the update-alternatives code since version 1.6.1 does no
  longer ship binaries.
* Fri Oct 14 2011 fcastelli@suse.com
- Update package to version 1.6.1
* Thu Aug 25 2011 dmacvicar@suse.de
- initial package for version 1.5.3
- remove the java/ section
